OGRE: Ogre::TerrainLayerSampler Struct Reference - OGRE Documentation

Public Member Functions | Public Attributes

# Ogre::TerrainLayerSampler Struct Reference
[Terrain]

Description of a sampler that will be used with each layer. More...

`#include <OgreTerrainMaterialGenerator.h>`

List of all members.

## Public Member Functions
bool | operator== (const TerrainLayerSampler &s) const
| TerrainLayerSampler ()
| TerrainLayerSampler (const String &aliasName, PixelFormat fmt)
## Public Attributes
String | alias
| A descriptive name that is merely used to assist in recognition.
PixelFormat | format
| The format required of this texture.

## Detailed Description

Description of a sampler that will be used with each layer.

Definition at line 100 of file OgreTerrainMaterialGenerator.h.

## Constructor & Destructor Documentation

Ogre::TerrainLayerSampler::TerrainLayerSampler | ( |  | ) |

Definition at line 112 of file OgreTerrainMaterialGenerator.h.

Ogre::TerrainLayerSampler::TerrainLayerSampler | ( | const String & | aliasName,
|  | PixelFormat | fmt |
| ) |  |  |

Definition at line 114 of file OgreTerrainMaterialGenerator.h.

## Member Function Documentation

bool Ogre::TerrainLayerSampler::operator== | ( | const TerrainLayerSampler & | s | ) | const

Definition at line 107 of file OgreTerrainMaterialGenerator.h.

References alias, and format.

## Member Data Documentation

String Ogre::TerrainLayerSampler::alias

A descriptive name that is merely used to assist in recognition.

Definition at line 103 of file OgreTerrainMaterialGenerator.h.

Referenced by operator==().

PixelFormat Ogre::TerrainLayerSampler::format

The format required of this texture.

Definition at line 105 of file OgreTerrainMaterialGenerator.h.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- OgreTerrainMaterialGenerator.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:04